{% extends 'core/base.html' %}
{% load static %}
{% block title %}Inicio{% endblock %}
{% block content %}
<div class="bg-dark">
  <div id="carouselExampleIndicators" class="carousel slide" data-ride="carousel">
    <ol class="carousel-indicators">
      <li data-target="#carouselExampleIndicators" data-slide-to="0" class="active"></li>
      <li data-target="#carouselExampleIndicators" data-slide-to="1"></li>
      <li data-target="#carouselExampleIndicators" data-slide-to="2"></li>
    </ol>
    <div class="carousel-inner">
      <div class="carousel-item active">
        <img class="d-block w-100" src="{% static 'core/img/ban_01.jpg' %}" alt="First slide">
        <div class="carousel-caption d-none d-md-block">
          <h2>Bienvenido al Centro de Idiomas UTT</h2>
          <p>Este portal informa sobre las actividades y los servicios que ofertamos como CIUTT. 
            Además, encontrarán actividades culturales que se desarrollan dentro de nuestra Universidad. </p>
        </div>
      </div>
      <div class="carousel-item">
        <img class="d-block w-100" src="{% static 'core/img/ban_02.jpg' %}" alt="Second slide">
        <div class="carousel-caption d-none d-md-block">
          <h2>Nuestro Objetivo</h2>
          <p>El CIUTT tiene como objetivo fortalecer el aprendizaje de lenguas extranjeras en nuestra comunidad académica y 
            público en general que tenga interés en la apropiación y practica de una lengua extranjera. </p>
        </div>
      </div>
      <div class="carousel-item">
        <img class="d-block w-100" src="{% static 'core/img/ban_03.jpg' %}" alt="Third slide">
        <div class="carousel-caption d-none d-md-block">
          <h2>Flexible Solutions Made Easy</h2>
          <p>Forte comes loaded with many great template specific features in addition to the amazing default Vertex features. 
            These features include: a custom highlight color, shadow options for the main body, custom highlight font, enable or disable uppercase letters, disable first parent menu item, and much more. </p>
        </div>
      </div>
    </div>
    <a class="carousel-control-prev" href="#carouselExampleIndicators" role="button" data-slide="prev">
      <span class="carousel-control-prev-icon" aria-hidden="true"></span>
      <span class="sr-only">Previous</span>
    </a>
    <a class="carousel-control-next" href="#carouselExampleIndicators" role="button" data-slide="next">
      <span class="carousel-control-next-icon" aria-hidden="true"></span>
      <span class="sr-only">Next</span>
    </a>
  </div>
</div>

<div class="container mt-5 mb-5">
    <!--<h1>{{title}}</h1>-->

    {% load services_extras %}
    {% get_service_list as service_list %}
    {% for service in service_list %}
    <div class="container">
      <div class="row">
          <div class="col-md-4 mx-auto mb-5">
            {% if service.image %}
              <img src="{{service.image.url}}" class="img-fluid rounded mx-auto d-block" alt="{{service.title}}">
            {% else %}
              <img src="{% static 'core/img/logo_ciutt.png' %}" class="img-fluid rounded mx-auto d-block" alt="{{service.title}}">
            {% endif %}
          </div>
          <div class="col-md-8 mx-auto mb-5">
            <h3>{{service.subtitle}}</h3>
            <div class="row">
              <div class="col">
                  <p class="text-justify">{{service.content|striptags|safe|truncatechars:"300"}}
                    <a id="link_footer" href="{% url 'services:service' service.id service.title|slugify %}"> Leer mas...</a>
                  </p>
              </div>
            </div>
          </div>
      </div>
    </div>
    {% endfor %}

</div>
{% endblock %}
